#include "Inventories.h"

Inventories::Inventories(std::string input)
{
	char set_num[20 + 1] = { 0 };

	if (input.find("\"") == std::string::npos)
	{
		sscanf_s(input.c_str(), "%i,%i,%[^,]",
			&ID,
			&Version,
			set_num, sizeof(set_num));

		SetNum = set_num;
	}
	else
	{
		printf("Inventory contains \"\" in the name");
		abort();
	}
	
	// Sanity check
	if (ID == -1 || Version == -1 || SetNum.empty())
	{
		printf("Inventory failed to load correctly, inventory: %s", input.c_str());
		abort();
	}
}