#include "InventorySets.h"

InventorySets::InventorySets(std::string input)
{
	char set_num[20 + 1] = { 0 };

	if (input.find("\"") == std::string::npos)
	{
		sscanf_s(input.c_str(), "%i,%[^,],%i",
			&ID,
			set_num, sizeof(set_num),
			&Quantity);

		SetNum = set_num;
	}
	else
	{
		printf("InventorySet contains \"\" in the name");
		abort();
	}

	// Sanity check
	if (ID == -1|| SetNum.empty() || Quantity == 0)
	{
		printf("InventorySet failed to load correctly, set: %s", input.c_str());
		abort();
	}
}