#include "Themes.h"

Themes::Themes(std::string input)
{
	char name[50 + 1] = { 0 };

	if (input.find("\"") == std::string::npos)
	{
		sscanf_s(input.c_str(), "%i,%[^,],%i",
			&ID,
			name, sizeof(name),
			&ParentID);

		Name = name;
	}
	else
	{
		printf("Inventory contains \"\" in the name");
		abort();
	}

	// Sanity check
	if (ID == -1 || Name.empty())
	{
		printf("Theme failed to load correctly, inventory: %s", input.c_str());
		abort();
	}
}