#pragma once
#include <string>
#include "Elements.h"

class GottenBricks : public Elements
{
public:
	GottenBricks(std::string input);
	GottenBricks(Elements element, int quantity);

	int Quantity = -1;

	bool operator<(const GottenBricks& a) const
	{
		int compare = PartNum.compare(a.PartNum);

		if (compare != 0)
			return compare < 0;
		else
			return ColorID < a.ColorID;
	}

	bool operator==(const Elements& a)
	{
		return PartNum == a.PartNum && ColorID == a.ColorID;
	}

	bool operator==(const GottenBricks& a)
	{
		return PartNum == a.PartNum && ColorID == a.ColorID;
	}
};