#pragma once
#include <string>
#include "GottenBricks.h"

class InventoryParts
{
public:
	InventoryParts(std::string input);

	int InventoryID = -1;
	std::string PartNum = "";
	int ColorID = -2;
	int Quantity = -1;
	bool IsSpare = false;
	std::string ImgURL = "";

	bool operator<(const int& ID)
	{
		return InventoryID < ID;
	}

	bool operator==(const GottenBricks& a)
	{
		return PartNum == a.PartNum && ColorID == a.ColorID;
	}
};

static bool operator<(const int& ID, const InventoryParts& part)
{
	return ID < part.InventoryID;
}