#include "PartCategories.h"

PartCategories::PartCategories(std::string input)
{
	char name[200 + 1] = { 0 };

	if (input.find("\"") == std::string::npos)
	{
		sscanf_s(input.c_str(), "%i,%[^,]",
			&ID,
			name, sizeof(name));

		Name = name;
	}
	else
	{
		int BeginQM = input.find('\"') - 1;
		sscanf_s(input.substr(0, BeginQM).c_str(), "%i", &ID);

		int EndQM = input.rfind("\"");
		Name = input.substr(BeginQM + 2, EndQM - BeginQM - 2);
	}

	// Sanity check
	if (ID == -1 || Name.empty())
	{
		printf("Part category failed to load correctly, catergory: %s", input.c_str());
		abort();
	}
}