#pragma once
#include "UIParent.h"

class Image : public UIParent
{
public:
	Image(SDL_Surface* surface,
		glm::ivec2 screen_size,
		glm::vec2 top_left,
		glm::vec2 bottom_right,
		std::string url,
		std::string path);

	~Image() override;

	bool Update(glm::ivec2 MousePos, bool MouseButtonDown) override;
	void Render() override;

	const std::string URL;

private:
	glm::ivec2 TL = glm::ivec2();
	glm::ivec2 BR = glm::ivec2();

	// Image variables
	SDL_Surface* Surface = nullptr;
	void* Data = nullptr;
};