#include "Text.h"
#include "../Main.h"

Text::Text(SDL_Surface* surface,
	glm::ivec2 screen_size,
	glm::vec2 top_left,
	glm::ivec4 color,
	bool centered,
	std::string text) :

	UIParent(surface, screen_size),
	Color(color),
	Centered(centered),
	Str(text)
{
	TL = glm::ivec2(top_left.x * (float)ScreenSize.x, top_left.y * (float)ScreenSize.y);
}

bool Text::Update(glm::ivec2, bool)
{
	return false;
}

void Text::Render()
{
	DrawString(Str, TL, Color, Centered, (float)TEXTSIZE);
}