#pragma once
#include "UIParent.h"

#include <glm/vec4.hpp>

class Text : public UIParent
{
public:
	// Methods
	Text(SDL_Surface* surface,
		glm::ivec2 screen_size,
		glm::vec2 top_left,
		glm::ivec4 color,
		bool centered,
		std::string text);

	bool Update(glm::ivec2 MousePos, bool MouseButtonDown) override;
	void Render() override;

	// Variables
	const glm::ivec4 Color;
	const bool Centered;
	const std::string Str;

private:
	glm::ivec2 TL = glm::ivec2();
};